MillionSend Docs

/segments

GET
/segments

Query Parameters

limit?integer

Page size, 1-100 (default 20)

Range1 <= value <= 100
after?string

Cursor: id of the last item of the previous page. Must be an id this list returned; there is no sentinel value.

Formatuuid
before?string

Cursor: id of the first item of the next page (page backwards); same rule as after.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/segments"
{  "object": "list",  "data": [    {      "object": "segment",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "filter": {        "match": "all",        "conditions": [          {            "field": "string",            "op": "string",            "value": "string"          }        ]      },      "created_at": "string"    }  ],  "has_more": true}